Bug 52678 - bind doesn't have permission to read zone files created by bindconf
Summary: bind doesn't have permission to read zone files created by bindconf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bindconf (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-27 21:58 UTC by James Turner
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-28 13:53:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Turner 2001-08-27 21:58:00 UTC
Description of Problem:
For some reason this occurs on one of my machines but not
the other, so may or may not be a real bug...

When a zone file is created using bindconf, it is assigned
ownership/permissions that mean that bind (in its default
configuration in Red Hat) is unable to read it.

Version-Release number of selected component (if applicable):
bindconf-1.4-1  (Red Hat 7.1)
bindconf-1.6-2  (RawHide)
bind-9.1.0-10
alchemist-0.16-3

How Reproducible:
Every time on one of my systems.
Not at all on the other.

Steps to Reproduce:
1. Run bindconf
2. Create a new zone file
3. ls -l /var/named

Actual Results:
Permissions of newly created file:
-rw-r-----    1 root     root

Expected Results:
Permissions of newly created file:
-rw-r--r--    1 root     root
or
-rw-r-----    1 root     named


Additional Information:
None

Comment 1 Harald Hoyer 2001-08-28 15:15:17 UTC
fixed in 1.6-5


Note You need to log in before you can comment on or make changes to this bug.